Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Rename a branch

Needs shops.write.

PUT/shops/{shop_id}/branches/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
shop_idintegerrequired
idintegerrequired
Request body
requiredapplication/json
namestringrequired
Responses
200

The branch

403

Access denied

404

Not a branch of this shop's seller

422

Blank or used name, or unknown fields

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.onbolder.com/v2/shops/1/branches/12' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
Response
The branch

Was this page helpful?